summaryrefslogtreecommitdiffstats
path: root/libraries/haskell-QuickCheck
diff options
context:
space:
mode:
author Mikko Varri <vmj@linuxbox.fi>2010-05-13 00:58:33 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:58:33 +0200
commitcb403906e7e6095be017c4d84c03fdd4d18b7fd5 (patch)
tree33e5af7828759abd9fb0eb1594d7fbd1adfea033 /libraries/haskell-QuickCheck
parent82415aacdf790232eab1fa50b065ae219886a1fb (diff)
downloadslackbuilds-cb403906e7e6095be017c4d84c03fdd4d18b7fd5.tar.gz
slackbuilds-cb403906e7e6095be017c4d84c03fdd4d18b7fd5.tar.xz
libraries/haskell-QuickCheck: Added to 13.0 repository
Diffstat (limited to 'libraries/haskell-QuickCheck')
-rw-r--r--libraries/haskell-QuickCheck/README12
-rw-r--r--libraries/haskell-QuickCheck/doinst.sh3
-rw-r--r--libraries/haskell-QuickCheck/haskell-QuickCheck.SlackBuild80
-rw-r--r--libraries/haskell-QuickCheck/haskell-QuickCheck.info10
-rw-r--r--libraries/haskell-QuickCheck/slack-desc19
5 files changed, 124 insertions, 0 deletions
diff --git a/libraries/haskell-QuickCheck/README b/libraries/haskell-QuickCheck/README
new file mode 100644
index 0000000000..82b59e37d0
--- /dev/null
+++ b/libraries/haskell-QuickCheck/README
@@ -0,0 +1,12 @@
+haskell-QuickCheck (Automatic testing of Haskell programs)
+
+QuickCheck is a library for random testing of program properties.
+The programmer provides a specification of the program, in the form
+of properties which functions should satisfy, and QuickCheck then
+tests that the properties hold in a large number of randomly
+generated cases.
+
+This requires ghc and haskell-mtl.
+
+When uninstalling, run this command to unregister the package from the ghc
+package database: ghc-pkg unregister QuickCheck
diff --git a/libraries/haskell-QuickCheck/doinst.sh b/libraries/haskell-QuickCheck/doinst.sh
new file mode 100644
index 0000000000..4038a8fd5c
--- /dev/null
+++ b/libraries/haskell-QuickCheck/doinst.sh
@@ -0,0 +1,3 @@
+chroot . sh /install/register.sh
+rm -f install/register.sh
+rmdir install 2>/dev/null
diff --git a/libraries/haskell-QuickCheck/haskell-QuickCheck.SlackBuild b/libraries/haskell-QuickCheck/haskell-QuickCheck.SlackBuild
new file mode 100644
index 0000000000..12782ce487
--- /dev/null
+++ b/libraries/haskell-QuickCheck/haskell-QuickCheck.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for haskell-QuickCheck
+
+# Written by Mikko Varri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=haskell-QuickCheck
+VERSION=${VERSION:-2.1.0.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TARNAM=QuickCheck
+GHC_VERSION=$(ghc-pkg field ghc version | cut -d' ' -f2)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAM-$VERSION
+tar xvf $CWD/$TARNAM-$VERSION.tar.gz
+cd $TARNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKFLAGS" \
+runghc Setup.lhs configure \
+ --prefix=/usr \
+ --enable-shared \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$TARNAM-$VERSION \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup.lhs build
+runghc Setup.lhs haddock
+runghc Setup.lhs copy --destdir=$PKG
+runghc Setup.lhs register --gen-script
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+mv $TMP/$TARNAM-$VERSION/register.sh $PKG/install/register.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/libraries/haskell-QuickCheck/haskell-QuickCheck.info b/libraries/haskell-QuickCheck/haskell-QuickCheck.info
new file mode 100644
index 0000000000..34346b4a78
--- /dev/null
+++ b/libraries/haskell-QuickCheck/haskell-QuickCheck.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-QuickCheck"
+VERSION="2.1.0.2"
+HOMEPAGE="http://hackage.haskell.org/package/QuickCheck"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/QuickCheck/2.1.0.2/QuickCheck-2.1.0.2.tar.gz"
+MD5SUM="a31dab3b27d633b67fa02ad6c345cee1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Varri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="rworkman"
diff --git a/libraries/haskell-QuickCheck/slack-desc b/libraries/haskell-QuickCheck/slack-desc
new file mode 100644
index 0000000000..3c16d50998
--- /dev/null
+++ b/libraries/haskell-QuickCheck/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-QuickCheck: haskell-QuickCheck (Automatic testing of Haskell programs)
+haskell-QuickCheck:
+haskell-QuickCheck: QuickCheck is a library for random testing of program properties.
+haskell-QuickCheck: The programmer provides a specification of the program, in the form
+haskell-QuickCheck: of properties which functions should satisfy, and QuickCheck then
+haskell-QuickCheck: tests that the properties hold in a large number of randomly
+haskell-QuickCheck: generated cases.
+haskell-QuickCheck:
+haskell-QuickCheck: http://hackage.haskell.org/package/QuickCheck
+haskell-QuickCheck:
+haskell-QuickCheck: